Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jgrapht.traverse
Enum CrossComponentIterator.VisitColor

    java.lang.Object
      java.lang.Enum<CrossComponentIterator.VisitColor>
          org.jgrapht.traverse.CrossComponentIterator.VisitColor

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CrossComponentIterator.VisitColor>

Enclosing class:
  CrossComponentIterator<V,E,D>

    protected static enum CrossComponentIterator.VisitColor

extends java.lang.Enum<CrossComponentIterator.VisitColor>

Standard vertex visit state enumeration.

Enum Constant Summary
`BLACK` Vertex has been returned via iterator, and we're done with all of its out-edges.
`GRAY` Vertex has been returned via iterator, but we're not done with all of its out-edges yet.
`WHITE` Vertex has not been returned via iterator yet.

Method Summary
`static CrossComponentIterator.VisitColor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CrossComponentIterator.VisitColor[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WHITE

    public static final CrossComponentIterator.VisitColor WHITE

  Vertex has not been returned via iterator yet.

### GRAY

    public static final CrossComponentIterator.VisitColor GRAY

  Vertex has been returned via iterator, but we're not done with all of its out-edges yet.

### BLACK

    public static final CrossComponentIterator.VisitColor BLACK

  Vertex has been returned via iterator, and we're done with all of its out-edges.

Method Detail

### values

    public static final CrossComponentIterator.VisitColor[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CrossComponentIterator.VisitColor c : CrossComponentIterator.VisitColor.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CrossComponentIterator.VisitColor valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD